"""Define custom types for use across the application."""

from typing import Annotated

from pydantic import AfterValidator

from gso.utils.helpers import validate_tt_number

TTNumber = Annotated[str, AfterValidator(validate_tt_number)]
